Bug 1503265 - Bundled Netty dependencies have incorrect version
Summary: Bundled Netty dependencies have incorrect version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.z
Assignee: Stefan Negrea
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-17 16:59 UTC by Stefan Negrea
Modified: 2017-12-07 07:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-12-07 07:13:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Description Stefan Negrea 2017-10-17 16:59:17 UTC
Description of problem:
Final EAR distribution for Hawkular Metrics bundles an older versions of Netty libraries. 

Version-Release number of selected component (if applicable):
Hawkular Metrics 0.23.12 and OS 3.5.x

How reproducible:
Always

Steps to Reproduce:
1. Inspect the Hawkular Metrics archive, and not the version of the Netty library

Comment 3 Junqi Zhao 2017-10-25 09:02:25 UTC
@Stefan
Do you think my verification way is right?

1. rsh to ${hawkular-metrics} pod.
2. jar xvf hawkular-metrics.ear, find netty-*.jar.
3. jar xvf netty-*.jar, check the pom.properties files, all version is 4.0.37.Final-redhat-2 now.


# oc rsh hawkular-metrics-qdpsl
sh-4.2$ cd /opt/eap/standalone/deployments/
sh-4.2$ ls
README.txt  activemq-rar.rar  activemq-rar.rar.deployed  hawkular-metrics.ear  hawkular-metrics.ear.deployed


sh-4.2$ jar xvf hawkular-metrics.ear
sh-4.2$ ls lib/
cassandra-driver-core.jar	    hawkular-metrics-schema.jar		  netty-buffer.jar	     netty-common.jar		 netty-transport.jar
cassandra-driver-core.jar.deployed  hawkular-metrics-schema.jar.deployed  netty-buffer.jar.deployed  netty-common.jar.deployed	 netty-transport.jar.deployed
guava.jar			    metrics-core.jar			  netty-codec.jar	     netty-handler.jar		 slf4j-api.jar
guava.jar.deployed		    metrics-core.jar.deployed		  netty-codec.jar.deployed   netty-handler.jar.deployed  slf4j-api.jar.deployed

sh-4.2$ jar xvf  netty-common.jar
Picked up JAVA_TOOL_OPTIONS: -Duser.home=/home/jboss -Duser.name=jboss
********************************snipped**************************************
  created: META-INF/maven/io.netty/
  created: META-INF/maven/io.netty/netty-common/
 inflated: META-INF/maven/io.netty/netty-common/pom.xml
 inflated: META-INF/maven/io.netty/netty-common/pom.properties
 inflated: META-INF/INDEX.LIST
********************************snipped**************************************

sh-4.2$ cat /opt/eap/standalone/deployments/lib/META-INF/maven/io.netty/netty-common/pom.properties 
#Generated by Maven
#Tue Jul 19 07:47:58 EDT 2016
version=4.0.37.Final-redhat-2
groupId=io.netty
artifactId=netty-common
sh-4.2$ cat /opt/eap/standalone/deployments/lib/META-INF/maven/io.netty/netty-buffer/pom.properties 
#Generated by Maven
#Tue Jul 19 07:48:08 EDT 2016
version=4.0.37.Final-redhat-2
groupId=io.netty
artifactId=netty-buffer
sh-4.2$ cat /opt/eap/standalone/deployments/lib/META-INF/maven/io.netty/netty-handler/pom.properties 
#Generated by Maven
#Tue Jul 19 07:48:43 EDT 2016
version=4.0.37.Final-redhat-2
groupId=io.netty
artifactId=netty-handler
sh-4.2$ cat /opt/eap/standalone/deployments/lib/META-INF/maven/io.netty/netty-transport/pom.properties 
#Generated by Maven
#Tue Jul 19 07:48:19 EDT 2016
version=4.0.37.Final-redhat-2
groupId=io.netty
artifactId=netty-transport
sh-4.2$ cat /opt/eap/standalone/deployments/lib/META-INF/maven/io.netty/netty-codec/pom.properties 
#Generated by Maven
#Tue Jul 19 07:48:29 EDT 2016
version=4.0.37.Final-redhat-2
groupId=io.netty
artifactId=netty-codec

Comment 4 Junqi Zhao 2017-10-25 09:04:47 UTC
Also did metrics sanity testing, no error was found.
env:
# openshift version
openshift v3.5.5.31.36
kubernetes v1.5.2+43a9be4
etcd 3.1.0

Image:
metrics-hawkular-metrics:3.5.0-50, same version with Comment 2

Comment 5 Junqi Zhao 2017-10-26 09:39:29 UTC
Verification steps see Comment 3, env see Comment 4

Comment 6 Stefan Negrea 2017-11-08 13:55:57 UTC
@Junqi, the verification steps are good. Thank you!

Comment 9 errata-xmlrpc 2017-12-07 07:13:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.